%define upstream_name    WWW-Shorten-Googl
%define upstream_version 1.100

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to goo.gl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON::MaybeXS) >= 1.0.0
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(LWP::UserAgent) >= 5.835.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.240.0
BuildRequires: perl(URI)
BuildRequires: perl(WWW::Shorten) >= 3.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A Perl interface to the goo.gl URL shortening service. Googl simply
maintains a database of long URLs, each of which has a unique identifier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/goo.gl

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.100.0-2pclos2017
- rebuild against updates

